Page MenuHomePhabricator

"Usage" section of File pages on Commons should also list when the file is referenced (not: embedded) on another wiki page
Closed, DuplicatePublic

Description

The two files https://commons.wikimedia.org/wiki/File:ARAGO_Francois_Astronomie_Populaire_T2_djvu_0201_Fig163.png
and
https://commons.wikimedia.org/wiki/File:Infrared_spectrum_of_sunlight_by_Fizeau_and_Foucault_1847.PNG
are referenced by
https://en.wikipedia.org/wiki/Fizeau%E2%80%93Foucault_apparatus
but their usage is not listed on their Commons description page. The link is "coloned-out" without placement of an actual image on the page.
In other words:
They worked together on such projects as using the [[Daguerreotype]] process to take [[:File:ARAGO Francois Astronomie Populaire T2 djvu 0201 Fig163.png|images of the Sun]] between 1843 and 1845<ref name=Hughes2012/> and characterizing [[:File:Infrared spectrum of sunlight by Fizeau and Foucault 1847.PNG|absorption bands in the infrared spectrum of sunlight]] in 1847.

The file https://commons.wikimedia.org/wiki/File:Train_and_Embankment_Thought_Experiment_And_Its_Inverse.gif
is referenced by
https://en.wikipedia.org/wiki/Einstein%27s_thought_experiments#Trains,_embankments,_and_lightning_flashes
but its usage is not listed on its Commons description page. The link is "coloned-out" without placement of an actual image on the page.
In other words:
An animation of a [[:File:Train and Embankment Thought Experiment And Its Inverse.gif|modified train-and-embankment thought experiment and its inverse is available here.]]

Related Objects

Event Timeline

I do not see any software bug here.
The section is called "File usage on other wikis" but these files are not used on those pages. Instead, links to the files pages are used in the text.

Aklapper changed the task status from Open to Stalled.Jun 2 2018, 11:55 AM

Could you explain what makes you think that there is a bug here and why you expect those types to be listed? Thanks!

Certain policies and procedures in place require accurate tracking of image usage.

  1. For example, non-free images added according to "fair use" policy are required to be deleted if they are not actually used by any article. Deleting an image that seemingly is not being used by any Wikipedia article but which is actually in use would result in a red link.
  2. These images are used as resources by the articles referencing them, but the editors of those articles for whatever reason decided that a full transclusion of the images themselves was not appropriate. For example, the image of the Sun and the image of the solar spectrum are used by both https://en.wikipedia.org/wiki/Fizeau%E2%80%93Foucault_apparatus on the English Wikipedia and by https://es.wikipedia.org/wiki/Experimento_de_Fizeau_y_Foucault on the Spanish Wikipedia. The Spanish article is 98% a direct translation of the English article. These images represent important historical background material, but are otherwise not directly relevant to the articles' subjects. However, the Commons description lists only the article's usage on the Spanish Wikipedia. The distinction between the Spanish and English articles' usage of the images appears to be minimal to me. Note that the Spanish article renders the images at very small scale, so as not to be distracting to the main thrust of the article.
  3. Use of "coloned-out" references to images is common on talk pages, less common on main space pages. Perhaps this behavior is not actually a bug, but it does represent unexpected behavior. You could consider my report to be a feature request.
Aklapper renamed this task from Commons does not report certain types of image usage by articles in Wikipedia to "Usage" section of File pages on Commons should also list when the file is referenced (not: embedded) on another wiki page.Jun 2 2018, 3:00 PM
Aklapper changed the task status from Stalled to Open.
Vvjjkkii renamed this task from "Usage" section of File pages on Commons should also list when the file is referenced (not: embedded) on another wiki page to usbaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from usbaaaaaaa to "Usage" section of File pages on Commons should also list when the file is referenced (not: embedded) on another wiki page.Jul 2 2018, 1:16 AM
CommunityTechBot closed this task as a duplicate.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.